Hobbyist Toolkit

cancel
Showing results for 
Search instead for 
Did you mean: 

LabVIEW 2020 CE cannot add Raspberry Pi to project.

I am using LabVIEW 2020 CE with a temporary license.

I was able to connect to the Raspberry Pi and load software but when I create a project and try to add a device to the project I see nothing in existing devices but in new target or device I do not have a linx folder all I see is a touch panel folder and when I open it I see some different sized touch panels.

 

Any ideas?

 

0 Kudos
Message 1 of 14
(513 Views)

I am not sure what you are explaining.  Can you embed an image of what you are seeing?

 

Also, have you tried the Launch Example button on the Connection screen?  This should open a Raspberry Pi project which you should be able to make a copy of if you are having trouble creating your own project from scratch.  How to get to the example is shown at 20 mins in this video: https://www.youtube.com/watch?v=FkDM3-f_CpI&t=3467s

David Wilt
The New Standard LLC
0 Kudos
Message 2 of 14
(511 Views)

waas_0-1646845462353.png

This is where I end up when creating a project.

 

 

waas_1-1646845636143.png

This is where I end up when try launching the example. Same problem as above.

 

 

0 Kudos
Message 3 of 14
(502 Views)

Are you sure you have the LabVIEW 2020 Community Edition installed?  Attach a screenshot of the software installed under MAX.  Also, if you did installed LabVIEW 2020 CE you did NOT install the Hobbies Toolkit through VIPM, correct?  The toolkit is included with the LabVIEW 2020 CE install and if you install it through VIPM you will mess it up.

 

Do you have any other LabVIEW version installed on the same system?  Your image of the example project is what I remember seeing when I was trying this example on LabVIEW 2020 Professional without LabVIEW RT installed.  If you are using the Community Edition everything will install that is required but if you are using non-CE LabVIEW, I have found that LabVIEW RT is also required.

David Wilt
The New Standard LLC
0 Kudos
Message 4 of 14
(497 Views)

waas_0-1646848751864.png

I have not tried to install other linx products as I know it is installed with the labview 2020CE install. I reviewed quite a few makerhub videos before installing this.

Still cannot get it to activate.

Don't know if that is an issue.

Thanks for your response.

 

0 Kudos
Message 5 of 14
(478 Views)

I am not sure why it is not activating but if you think it is an issue with the install have you tried running a repair?

 

My only other suggestion would be to install the LabVIEW CE version on a different computer that does not have any other LabVIEW version.  I see that you have many versions installed and I wonder if there are any issues having both a LabVIEW CE and non-CE version installed on the same system.

 

If you have a license to LabVIEW 2020 you can get the Hobbyist toolkit up and running on that one but it takes a couple extra steps.  I documented my experience with LabVIEW 2020 Professional here: LabVIEW 2020 Professional Required Software for Raspberry Pi Project

David Wilt
The New Standard LLC
0 Kudos
Message 6 of 14
(451 Views)

I made good progress.

I installed an older smaller hard drive in the computer that had no NI stuff. 

labview 2020 CE installed and I connected to the raspberry pi easily and tried the launch example option.

I connected to the raspberry pi.

The example project opened and I  pressed the run arrow and it  downloaded it to the raspberry pi with the following error.

waas_0-1646930931327.png

When I was loading LabVIEW LINX on the target it always shows the latest version but it always says there was an error. I found a topic on this and it said not to be concerned with that error.

I do not see a load device channels.vi on the block diagram.

Also when I installed labview 2020 CE it installed OK but when I activated it, it activated until feb 2023. Is this normal?

Is it possible to get a permanent license? 

Thanks for your help. Deferentially getting on the road.

 

0 Kudos
Message 7 of 14
(438 Views)

I think you may just need to re-active it yearly.  As the license is free all you should need to do is click activate again when prompted to in the future.

 

I don't know anything about that error but if the example is working for you and you found other people talking about not to worry about it then I would not worry about it.

 

Glad you are up and running now.

David Wilt
The New Standard LLC
0 Kudos
Message 8 of 14
(433 Views)

Actually I am not up and running yet as you can see the vi failed to load on the pi but I am way closer than before.

Pat

 

0 Kudos
Message 9 of 14
(427 Views)

OK, well try to deploy a different VI to the Pi, even if it does not do anything.  Does the same error occur?  If so, what version of Pi OS are you using?  You might want to try an over version.  I know that the Raspberry Pi OS (32-bit) with desktop Version: August 2020 Release date: 2020-08-20 works for sure.  It is a bit old but might be worth a try.

David Wilt
The New Standard LLC
0 Kudos
Message 10 of 14
(421 Views)